> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zelinqa.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Health Check

> Check whether the API is healthy. Does not require authentication.



## OpenAPI

````yaml /openapi.yaml get /v1/health
openapi: 3.1.0
info:
  title: NBQ Engine API
  description: >-
    The NBQ Engine REST API returns the next best question to ask during a
    conversation.
  version: 1.0.0
servers:
  - url: https://api.zelinqa.ai
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Health
    description: API health check
  - name: Questions
    description: Next-question selection
  - name: Sessions
    description: Conversation outcome recording
paths:
  /v1/health:
    get:
      tags:
        - Health
      summary: Health Check
      description: Check whether the API is healthy. Does not require authentication.
      operationId: getHealth
      responses:
        '200':
          description: API is healthy
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HealthResponse'
              example:
                success: true
                status: healthy
      security: []
components:
  schemas:
    HealthResponse:
      type: object
      properties:
        success:
          type: boolean
          example: true
        status:
          type: string
          example: healthy
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: 'Pass your NBQ API key in the Authorization header: `Bearer nbq_live_xxx`'

````